# Class BimVertexDataReader

##### Index

### Constructors

constructor

### Methods

deflateToRef

## Constructors

### constructor

- new BimVertexDataReader(encodedVertexData: ArrayBuffer): BimVertexDataReader

  #### Parameters

  - encodedVertexData: ArrayBuffer

  #### Returns BimVertexDataReader

## Methods

### deflateToRef

- deflateToRef(
  descriptor: BimProductMeshDescriptor,
  dst: BimVertexData,
  ): BimVertexData

  #### Parameters

  - descriptor: BimProductMeshDescriptor
  - dst: BimVertexData

  #### Returns BimVertexData